<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width,initial-scale=1.0"/>
    <meta name="format-detection" content="telephone=no,email=no,date=no,address=no">
    <title>title</title>
    <link rel="stylesheet" type="text/css" href="../css/aui.css" />
    <link rel="stylesheet" type="text/css" href="../css/style.css"/>
    <link rel="stylesheet" type="text/css" href="../css/iconfont.css"/>
    <style type="text/css">
     html,body{
       /* background-image: url(../image/vip_bg.jpg);background-size:100% 100%;  */
           background: linear-gradient(to right,#fff 0,#fff 100%);
      }

      .vip_gou_1 {
        display: -webkit-box;
        display: -webkit-flex;
        display: flex;
        -webkit-box-align: center;
        -webkit-align-items: center;
        align-items: center;
        width: 100%;
        position: relative;
        box-shadow: 0 1px 12px #ddd;
        margin: 10px 0px 10px 0px;
        padding: 15px 17px;
        bottom: 10px;
        top: 10px;
      }

      .vip_gou_2 {
        margin-right: .5em;
        width: 60px;
        height: 60px;
        line-height: 60px;
        text-align: center;
      }


      .vip_gou_3 {
      width: 100%;
      max-height: 100%;
      vertical-align: top;
      font-weight: bold;
      background: linear-gradient(to right,#ff5e3e 0,#ff1679 100%);
      -webkit-background-clip: text;
      color: transparent;

      }

      .vip_gou_4 {
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    flex: 1;
    min-width: 0;

      }

      .vip_gou_5 {
      font-weight: 400;
      font-size: 0.5rem;
      width: auto;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      word-wrap: normal;
      word-wrap: break-word;
      word-break: break-all;
      color: #c0c0c0;
      padding-bottom: 10px;

      }

      .vip_gou_6 {
    color: #808080;
    font-size: 0.5rem;
    line-height: 1.2;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;

      }

      .vip_gou_7 {
      font-size: 0.8rem;
      font-style: normal;
      background: linear-gradient(to right,#ff5e3e 0,#ff1679 100%);
      -webkit-background-clip: text;
      color: transparent;
      font-weight: bold;

      }

      .vip_gou_8 {
      background-image: -webkit-gradient(linear,left top,right top,from(#ff5e3e ),to(#ff1679 ));
      background-image: -webkit-linear-gradient(left,#ff5e3e,#ff1679);
      background-image: -moz-linear-gradient(left,#ff5e3e,#ff1679);
      background-image: linear-gradient(to right,#ff5e3e,#ff1679);
      background-color: #f7cc13;
      border-radius: 2px;
      color: #fff;
      font-size: 0.5rem;
      font-weight: bold;
      padding: 0.2rem 0.45rem;
			}
			  .STYLE1 {
	color: #FFFFFF;
	font-weight: bold;
	font-size: 16px;
}

    </style>

</head>
<body >

  <div class="br">

  </div>
  <div class="open-vip-t">
   <table width="100%" border="1" cellpadding="0" cellspacing="0" bordercolor="FF5B5C" bgcolor="#FFFFFF">
  <tr>
    <td bgcolor="#f0433d"><iframe src="http://yb.rcbang.xyz/shuju" width="100%" height=150 marginheight="0" marginwidth="0" frameborder="0" scrolling="no"></iframe></td>
  </tr>
  <tr>
  </tr>
</table>
    <div class="br"></div>
    <div class="aui-content aui-margin-b-15">
    </div>
      <div class="aui-content-padded">
      <div class="vip_gou_1" onclick="buyAgent()">
          <div  class="vip_gou_2"><span class="vip_gou_3">合伙人</span>  </div>
          <div class="vip_gou_4"><h2  class="vip_gou_5">月赚万元的机会</h2>
              <p class="vip_gou_6" ><em class="vip_gou_7">限量</em></p>
          </div>
         <div  class="vip_gou_8" >立即升级</div>
      </div> </div>
	<br> 



  <div class="open-vip-b" >
    <div class="br"></div>
	
  <div class="open-vip-b" >

        <p><div class="aui-btn-tuichu aui-btn-block"onClick="h5('http://yb.rcbang.xyz/xxx/?id=81')" >点击查看 合伙人介绍</div></p>

      </div>
<br>

      </div>
        <img src="../image/app/VipExpiredTisi.png">


<br>





   
  </div>


  
</body>
	<script type="text/javascript" src="../script/api.js"></script>
	<script type="text/javascript">
		var user_id = localStorage.getItem('user_id');
	//	var api_url = localStorage.getItem('api_url');
			var api_url = localStorage.getItem('api_url')||'http://yb.rcbang.xyz';
		var isAgent = null;
		var buyAgentUrl = null;
		apiready = function() {
			api.parseTapmode();
			newLoingdata();
			var clipBoard = api.require('clipBoard');
			clipBoard.get(function(ret, err) {
				if(ret) {

					if(ret.value.length == 15) {
						var kami = $api.byId('kami');
						kami.value = ret.value;
						api.toast({
							msg: '已帮您自动粘贴刚刚复制的内容',
							duration: 4000,
							location: 'middle'
						});
					}
				} else {}
			});
		}

		function fnIsAgent() {
			api.ajax({
				url: api_url + '/index/pay1/is_auth.html',
				method: 'get',
				data: {
					values: {
						u_id: user_id,
					}
				}
			}, function(ret, err) {
				if(ret) {
					if (ret.error=='已开通合伙人') {
						isAgent = true;
						return;
					}
					if (ret.error=='无此用户') {
						api.alert({
							title: '糟糕~',
							msg: '没有找到您的用户信息',
						});
						return;
					}
					if (ret.code=='200') {
						isAgent = false;
						buyAgentUrl = ret.pay_url;
						return;
					}
				} else {
					alert('网络错误！');
					return;
				}
			});
		}

		function buyAgent() {
			if(isAgent === null) {
				api.alert({
					title: '提示~',
					msg: '您已经已开通合伙人了',
				});
				return;
			}
			if(isAgent == true) {
				api.alert({
					title: '提示~',
					msg: '已开通合伙人',
				});
				return;
			}
			if(isAgent == false) {
				toBanner(buyAgentUrl);
			}
		}

		function newLoingdata() {
			api.ajax({
				url: api_url + '/login/login/veifys.html',
				method: 'get',
				data: {
					values: {
						username: localStorage.getItem('user_name'),
						passwd: localStorage.getItem('password'),
						imei: api.deviceId
					}
				}
			}, function(ret, err) {
				if(ret) {
					if(ret.code == 0) {
						api.openWin({
							name: 'login',
							url: './login.html',
							delay: 300
						});
						return;
					} else if(ret.code == 1) {
						localStorage.setItem('user_id', ret.msg['id']);
						localStorage.setItem('user_time', ret.msg['time']);
						localStorage.setItem('user_share', ret.msg['share']);
						localStorage.setItem('user_advert', ret.msg['advert']);
						localStorage.setItem('user_code', ret.msg['code']);
						localStorage.setItem('user_weichat', ret.msg['weichat']);
						localStorage.setItem('url', ret.msg['url']);
						localStorage.setItem('url1', ret.msg['url1']);
						localStorage.setItem('url2', ret.msg['url2']);
						localStorage.setItem('url3', ret.msg['url3']);
						localStorage.setItem('url4', ret.msg['url4']);
						localStorage.setItem('url5', ret.msg['url5']);
						localStorage.setItem('url6', ret.msg['url6']);
						var weichatdiv = $api.byId('weichat');
						//  weichatdiv.innerHTML = localStorage.getItem('url')+'<br>'+localStorage.getItem('user_weichat');
//						weichatdiv.innerHTML = '客服微信：' + localStorage.getItem('user_weichat');
//						查看用户是否开通过合伙人
						user_id = ret.msg['id'];
						fnIsAgent()
                api.sendEvent({
                  name: 'newLoingdata',
                  extra: {
                  }
                });
            }
          } else {
            alert('网络错误！');
            return;
          }
      });
    }


    function openUrl1(){

      if (localStorage.getItem('url1') == '无数据') {
        keFu();
        return;
      }else if (localStorage.getItem('url1') == '') {
        keFu();
        return;
      }else {
        toBanner(localStorage.getItem('url1'));
      }
    }
    function openUrl2(){
      if (localStorage.getItem('url2') == '无数据') {
        keFu();
        return;
      }else if (localStorage.getItem('url2') == '') {
        keFu();
        return;
      }else {
        toBanner(localStorage.getItem('url2'));
      }
    }
    function openUrl3(){
      if (localStorage.getItem('url3') == '无数据') {
        keFu();
        return;
      }else if (localStorage.getItem('url3') == '') {
        keFu();
        return;
      }else {
        toBanner(localStorage.getItem('url3'));
      }
    }
    function openUrl4(){
      if (localStorage.getItem('url4') == '无数据') {
        keFu();
        return;
      }else if (localStorage.getItem('url14') == '') {
        keFu();
        return;
      }else {
        toBanner(localStorage.getItem('url4'));
      }
    }
    function openUrl5(){
      if (localStorage.getItem('url5') == '无数据') {
        keFu();
        return;
      }else if (localStorage.getItem('url15') == '') {
        keFu();
        return;
      }else {
        toBanner(localStorage.getItem('url5'));
      }
    }
    function openUrl6(){
      if (localStorage.getItem('url6') == '无数据') {
        keFu();
        return;
      }else if (localStorage.getItem('url6') == '') {
        keFu();
        return;
      }else {
        toBanner(localStorage.getItem('url6'));
      }
    }


    //访问地址
    function toBanner(url){
      var sys = api.systemType;
      if (sys == 'ios') {
        if (url == '') {
          keFu();
          return;
        }else {
          api.openApp({
                 iosUrl: url
         },function(ret,err){
         });
        }
      }else {
        // if (url == '') {
        //
        // }else {
        //   api.openApp({
        //       androidPkg: 'android.intent.action.VIEW',
        //       mimeType: 'text/html',
        //       uri: url
        //   }, function(ret, err) {
        //       // if (ret) {
        //       //     alert(JSON.stringify(ret));
        //       // } else {
        //       //     alert(JSON.stringify(err));
        //       // }
        //   });
        //
        // }
        if (url == '') {
          keFu();
          return;
        }else {
          api.openWin({
              name: 'h5',
              url: './h5.html',
              pageParam: {
                  url: url
              }
          });
        }

      }

      // if (url == '') {
      //
      // }else {
      //   api.openWin({
      //       name: 'h5',
      //       url: './h5.html',
      //       pageParam: {
      //           url: url
      //       }
      //   });
      // }
    }

    function keFu(){
      var dialogBox = api.require('dialogBox');
      dialogBox.alert({
          texts: {
              content: localStorage.getItem('url')+localStorage.getItem('user_weichat'),
              leftBtnTitle: '知道了',
              rightBtnTitle: '联系客服'
          },
          styles: {
              bg: '#fff',
              w: 300,
              content: {
                  color: '#000',
                  size: 16
              },
              left: {
                  marginB: 7,
                  marginL: 20,
                  w: 130,
                  h: 35,
                  corner: 2,
                  bg: '#ff7600',
                  color: '#fff',
                  size: 14
              },
              right: {
                  marginB: 7,
                  marginL: 10,
                  w: 130,
                  h: 35,
                  corner: 2,
                  bg: '#ff7600',
                  color: '#fff',
                  size: 14
              }
          }
      }, function(ret) {
          if (ret.eventType == 'left') {
              var dialogBox = api.require('dialogBox');
              dialogBox.close({
                  dialogName: 'alert'
              });
          }else if (ret.eventType == 'right') {
            var clipBoard = api.require('clipBoard');
            clipBoard.set({
                value: localStorage.getItem('user_weichat')
            }, function(ret, err) {
                if (ret) {
                  api.toast({
                      msg: '已复制号码到剪切板',
                      duration: 2000
                  });
                  var dialogBox = api.require('dialogBox');
                  dialogBox.close({
                      dialogName: 'alert'
                  });
                } else {

                }
            });
          }
      });
    }

  function h5(url){

    if (url == '') {

    }else {
      api.openWin({
          name: 'h5',
          url: './h5.html',
          pageParam: {
              url: url
          }
      });
    }
  }
    //充值点卡
    function loginOff(){
      var kami = $api.val($api.byId('kami'));
      if(kami == ''){
    /*    api.alert({
            title: '调皮~',
            msg: '请输入卡密',
        });*/
        api.toast({
            msg: 'ε=(´ο｀*))) 调皮~   激活码还没输入',
            duration: 5000
        });
        return;
      }
      if (user_id<1) {
        alert('请先登录');
        api.openWin({
            name: 'login',
            url: './login.html',
        });
        return;
      }else {
        api.showProgress({
            title: '验证中...',
            text: '请骚等...',
            modal: false
        });
        api.ajax({
            url: api_url+'/login/login/dianka.html',
            method: 'get',
            data: {
                values: {
                    uid: localStorage.getItem('user_id'),
                    dianka: kami,
                }
            }
        },function(ret, err){
            if (ret) {
                if (ret.code == 0) {
                  api.hideProgress();
                 api.alert({
                      title: '哎呀~',
                      msg: ret.msg,
                  });
                  return;
                }else if (ret.code == 1) {
                  api.hideProgress();
                  api.alert({
                      title: '恭喜!',
                      msg: '充值成功',
                  });
                  localStorage.setItem('user_time',ret.lasttime);
                  api.sendEvent({
                    name: 'newLoingdata',
                    extra: {
                    }
                  });
                  api.closeWin();

                }

            } else {
              api.hideProgress();
              api.alert({
                  title: '糟糕~',
                  msg: '网络似乎有点问题',
              });
            }
        });

      }
    }



        /////////////联系管理 方法  kefuWeixin   S   ////////////
        function kefuWeixin(){


          //获取客服微信号
          var user_weichat = localStorage.getItem('user_weichat');
          if (user_weichat == 'null') {
          weichat.innerHTML = '客服微信：：'+user_weichat;
        }else {

            weichat.innerHTML = '客服微信：'+user_weichat;
        }




                      //获取客服微信号
                      var user_weichat = localStorage.getItem('user_weichat');
                        var clipBoard = api.require('clipBoard');
                      if (user_weichat == 'null') {


                        clipBoard.set({
                            value: 'user_weichat'
                        }, function(ret, err) {
                            if (ret) {
                              api.toast({
                                  msg: '微信号已复制到剪切板',
                                  duration: 2000
                              });
                              var dialogBox = api.require('dialogBox');
                              dialogBox.close({
                                  dialogName: 'alert'
                              });
                            } else {

                            }
                        });


                    }else {
                          clipBoard.set({
                              value: localStorage.getItem('user_weichat')
                          }, function(ret, err) {
                              if (ret) {
                                api.toast({
                                    msg: '微信号已复制到剪切板',
                                    duration: 2000
                                });
                                var dialogBox = api.require('dialogBox');
                                dialogBox.close({
                                    dialogName: 'alert'
                                });
                              } else {

                              }
                          });
                    }




          //    api.toast({
            //      msg: '客服微信号已复制'
          //    });
        }

        /////////////联系管理 方法  kefuWeixin   E   ////////////







    //////////////////////    代理升级客服弹窗 方法 AgencyShengjiKefu  s  //////////////////////
    function AgencyShengjiKefu() {







                      /*代理升级客服弹窗提示结束*/
                      var dialogBox = api.require('dialogBox');
                      dialogBox.alert({
                          tapClose: false,  //描述：（可选项）是否点击遮罩层关闭该对话框  默认值：false
                          texts: {
                              content: '请联系微信客服',
                            /*  leftBtnTitle: '以后再说',  */
                              rightBtnTitle: '知道了'
                          },
                          styles:{
                    bg: '#fff',            //（可选项）字符串类型；对话框整体背景配置，支持#、rgb、rgba、img；默认：#fff
                    corner: 10,             //（可选项）数字类型；对话框背景圆角大小；默认：2
                    w: 300,                //（可选项）数字类型；对话框的宽；默认：300
                    title:{                //（可选项）JSON对象；弹窗标题栏样式配置，不传则不显示标题区域
                        marginT: 20,       //（可选项）数字类型；标题栏与对话框顶端间距；默认：20
                        icon: 'widget://image/app/molisos.png',          //（可选项）字符串类型；标题前面的图标路径，要求本地路径（widget://、fs://）；图片为正方形的，如：50*50、100*100，建议开发者传大小合适的图片以适配高分辨率手机屏幕，不传则不显示
                        iconSize: 80,      //（可选项）数字类型；icon 图标边长大小,若 icon 不存在则此参数无效；默认：24
                        titleSize: 14,     //（可选项）数字类型；标题字体大小；默认：14
                        titleColor: '#000' //（可选项）字符串类型；标题字体颜色，支持#、rgb、rgba；默认：#fff
                    },
                    content:{              //（可选项）JSON 对象；文本内容配置，若不传则不显示该区域
                        marginT: 20,       //（可选项）数字类型；内容文本顶端与标题栏底端的距离，如果标题栏不存在，则是到窗口顶端的距离；默认：20
                        marginB: 40,       //（可选项）数字类型；内容文本底端与 left/right 顶端的距离，如果 left/right 都不存在，则是到对话框底端的距离；默认：20
                        color: '#ff0103',     //（可选项）字符串类型；内容文本字体颜色，支持 rgb、rgba、#；默认：#eee
                        size: 12           //（可选项）数字类型：内容文本字体大小；默认：12
                    },
              /*      left:{                 //（可选项）JSON 对象；左边按钮样式配置，不传则不显示左边按钮
                        marginB: 30,        //（可选项）数字类型；左边按钮的下边距；默认：7
                        marginL: 30,       //（可选项）数字类型；左边按钮的左边距；默认：20
                        w: 100,            //（可选项）数字类型；左边按钮的宽；默认：130
                        h: 40,             //（可选项）数字类型；左边按钮的高；默认：35
                        corner: 10,         //（可选项）数字类型；左边按钮圆角半径；默认：0.0
                        bg: '#3d3d3d',        //（可选项）字符串类型；左边按钮的背景，支持rgb、rgba、#、img；默认：'#e0e'
                        color: '#fff',  //（可选项）字符串类型；左边按钮标题字体颜色，支持rgb，rgba、#；默认：'#007FFF'
                        size: 12           //（可选项）数字类型；左边按钮标题字体大小；默认：12
                    },
                    */
                    right: {               //（可选项）JSON 对象；右边按钮样式配置，不传则不显示右边按钮
                        marginB: 30,        //（可选项）数字类型；右边按钮的下边距；默认：7
                        marginL: 100,      //（可选项）数字类型；右边按钮左边距；默认：10
                        w: 100,            //（可选项）数字类型；右边按钮的宽；默认：130
                        h: 40,             //（可选项）数字类型；右边按钮的高；默认：35
                        corner: 10,         //（可选项）数字类型；右边按钮圆角半径；默认：0.0
                        bg: '#ff0103',        //（可选项）字符串类型；右边按钮的背景，支持rgb、rgba、#、img；默认：'#e0e'
                        color: '#fff',  //（可选项）字符串类型；右边按钮标题字体颜色，支持rgb、rgba、#；默认：'#007FFF'
                        size: 12           //（可选项）数字类型；右边按钮标题字体大小；默认：12
                    }
                }
                      }, function(ret) {
                        /*
                          if (ret.eventType == 'left') {
                              var dialogBox = api.require('dialogBox');
                              dialogBox.close({
                                  dialogName: 'alert'
                              });
                          }else
*/
                          if (ret.eventType == 'right') {

                            api.toast({
                                msg: '微信号已复制到剪切板',
                                duration: 2000
                            });

                            var dialogBox = api.require('dialogBox');
                            dialogBox.close({
                                dialogName: 'alert'
                            });
                          }
                      });
                      /*    代理升级客服弹窗提示结束    */

    }
    //////////////////////    代理升级客服弹窗 方法 NoAgencyAuthority  E  //////////////////////
function pxzx(){

      api.openWin({
                  name: 'daili_guanli_win',
                  url: './daili_guanli_win.html',
                  delay: 100,
                  pageParam:{url:'http://yb.rcbang.xyz/xxx/?id=81'},
                  bgColor: 'rgba(0,0,0,0)'
              });
}

function yqr(){

      api.openWin({
                  name: 'daili_guanli_win',
                  url: './daili_guanli_win.html',
                  delay: 100,
                  pageParam:{url:'http://yb.rcbang.xyz/xxx/?id=81'},
                  bgColor: 'rgba(0,0,0,0)'
              });
}
</script>
</html>
